- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QWSPropertyManager Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qwsproperty_qws.h.

`#include <qwsproperty_qws.h>`

List of all members.

## Public Types
enum | Mode { PropReplace = 0, PropPrepend, PropAppend }
enum | Atom { PropSelection = 0 }
## Public Member Functions
| QWSPropertyManager ()
| ~QWSPropertyManager ()
bool | setProperty (int winId, int property, int mode, const char *data, int len)
bool | hasProperty (int winId, int property)
bool | removeProperty (int winId, int property)
bool | addProperty (int winId, int property)
bool | getProperty (int winId, int property, const char *&data, int &len)
bool | removeProperties (int winId)

## Member Enumeration Documentation

enum Mode

Search for all occurrences

Enumerator:

  PropReplace | Search for all occurrences
  PropPrepend | Search for all occurrences
  PropAppend | Search for all occurrences

Definition at line 64 of file qwsproperty_qws.h.

                  {
            PropReplace = 0,
            PropPrepend,
            PropAppend
        };

enum Atom

Search for all occurrences

Enumerator:

  PropSelection | Search for all occurrences

Definition at line 71 of file qwsproperty_qws.h.

                  {
            PropSelection = 0
        };

## Constructor & Destructor Documentation

QWSPropertyManager | ( |  | ) |

~QWSPropertyManager | ( |  | ) |

## Member Function Documentation

bool setProperty | ( | int | winId,
|  | int | property,
|  | int | mode,
|  | const char * | data,
|  | int | len
| ) |  |

Search for all occurrences

bool hasProperty | ( | int | winId,
|  | int | property
| ) |  |

Search for all occurrences

bool removeProperty | ( | int | winId,
|  | int | property
| ) |  |

Search for all occurrences

bool addProperty | ( | int | winId,
|  | int | property
| ) |  |

Search for all occurrences

bool getProperty | ( | int | winId,
|  | int | property,
|  | const char *& | data,
|  | int & | len
| ) |  |

Search for all occurrences

bool removeProperties | ( | int | winId | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qwsproperty_qws.h

QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager
QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager QWSPropertyManager